use Test::More tests => 1;
use strict;
use warnings;
use lib '../lib';
use lib '.';

use HTML::Template::Compiled;

my $tmpl = '<%CONST "test"%><%= _ %><%/CONST %>';

my $htc = HTML::Template::Compiled->new(
    plugin => [ 'HTC::Plugin::Const', 'HTC::Plugin::Const2' ],
    scalarref  => \$tmpl,
    # debug => 1,
);

$htc->param( { switch => 1 });

like $htc->output(), qr{\btest\b};
